# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

%if !%buildfor7_2
Name:		kde-i18n-hu
%else
Name:		kde-i18n-Hungarian
%endif
Summary:	Hungarian language support for KDE
Version:	2.2.1
Release:	2mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Hungarian
%endif
Requires:	locales-hu
BuildArch:	noarch

%description
Hungarian language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Workaroud for a buggy Makefile...
rm -f $RPM_BUILD_DIR/%name/docs/kdelibs/api/install-dep.entities

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/hu/
%dir %_docdir/HTML/hu/amor/
%doc %_docdir/HTML/hu/amor/common
%doc %_docdir/HTML/hu/amor/*.docbook
%doc %_docdir/HTML/hu/amor/*.bz2
#
#
#
#
%dir %_docdir/HTML/hu/artsbuilder/
%doc %_docdir/HTML/hu/artsbuilder/common
%doc %_docdir/HTML/hu/artsbuilder/*.docbook
%doc %_docdir/HTML/hu/artsbuilder/*.bz2
#
#
%dir %_docdir/HTML/hu/columbo/
%doc %_docdir/HTML/hu/columbo/common
%doc %_docdir/HTML/hu/columbo/*.docbook
%doc %_docdir/HTML/hu/columbo/*.bz2
#
#
%dir %_docdir/HTML/hu/common/
%doc %_docdir/HTML/hu/common/fdl-license
%doc %_docdir/HTML/hu/common/gpl-license
%doc %_docdir/HTML/hu/common/*.css
%doc %_docdir/HTML/hu/common/*.dcl
%doc %_docdir/HTML/hu/common/*.html
%doc %_docdir/HTML/hu/common/*.png
#
#
%dir %_docdir/HTML/hu/kab/
%doc %_docdir/HTML/hu/kab/common
%doc %_docdir/HTML/hu/kab/*.docbook
%doc %_docdir/HTML/hu/kab/*.bz2
#
#
%dir %_docdir/HTML/hu/kaddressbook/
%doc %_docdir/HTML/hu/kaddressbook/common
%doc %_docdir/HTML/hu/kaddressbook/*.docbook
%doc %_docdir/HTML/hu/kaddressbook/*.bz2
#
#
%dir %_docdir/HTML/hu/kandy/
%doc %_docdir/HTML/hu/kandy/common
%doc %_docdir/HTML/hu/kandy/*.docbook
%doc %_docdir/HTML/hu/kandy/*.bz2
#
#
%dir %_docdir/HTML/hu/karm/
%doc %_docdir/HTML/hu/karm/common
%doc %_docdir/HTML/hu/karm/*.docbook
%doc %_docdir/HTML/hu/karm/*.bz2
#
#
%dir %_docdir/HTML/hu/kasteroids/
%doc %_docdir/HTML/hu/kasteroids/common
%doc %_docdir/HTML/hu/kasteroids/*.docbook
%doc %_docdir/HTML/hu/kasteroids/*.bz2
#
#
%dir %_docdir/HTML/hu/kate-plugins/
%doc %_docdir/HTML/hu/kate-plugins/common
%doc %_docdir/HTML/hu/kate-plugins/*.docbook
%doc %_docdir/HTML/hu/kate-plugins/*.bz2
#
#
%dir %_docdir/HTML/hu/katomic/
%doc %_docdir/HTML/hu/katomic/common
%doc %_docdir/HTML/hu/katomic/*.docbook
%doc %_docdir/HTML/hu/katomic/*.bz2
#
#
%dir %_docdir/HTML/hu/kblackbox/
%doc %_docdir/HTML/hu/kblackbox/common
%doc %_docdir/HTML/hu/kblackbox/*.docbook
%doc %_docdir/HTML/hu/kblackbox/*.bz2
#
#
%dir %_docdir/HTML/hu/kcontrol/
%doc %_docdir/HTML/hu/kcontrol/*.docbook
#
%dir %_docdir/HTML/hu/kcoloredit/
%doc %_docdir/HTML/hu/kcoloredit/common
%doc %_docdir/HTML/hu/kcoloredit/*.docbook
%doc %_docdir/HTML/hu/kcoloredit/*.bz2
#
#
%dir %_docdir/HTML/hu/kdebugdialog/
%doc %_docdir/HTML/hu/kdebugdialog/common
%doc %_docdir/HTML/hu/kdebugdialog/*.docbook
%doc %_docdir/HTML/hu/kdebugdialog/*.bz2
#
#
%dir %_docdir/HTML/hu/kdesu/
%doc %_docdir/HTML/hu/kdesu/common
%doc %_docdir/HTML/hu/kdesu/*.docbook
%doc %_docdir/HTML/hu/kdesu/*.bz2
#
#
%dir %_docdir/HTML/hu/kdf/
%doc %_docdir/HTML/hu/kdf/common
%doc %_docdir/HTML/hu/kdf/*.docbook
%doc %_docdir/HTML/hu/kdf/*.bz2
#
#
%dir %_docdir/HTML/hu/kdm/
%doc %_docdir/HTML/hu/kdm/common
%doc %_docdir/HTML/hu/kdm/*.docbook
%doc %_docdir/HTML/hu/kdm/*.bz2
#
#
%dir %_docdir/HTML/hu/kdvi/
%doc %_docdir/HTML/hu/kdvi/common
%doc %_docdir/HTML/hu/kdvi/*.docbook
%doc %_docdir/HTML/hu/kdvi/*.bz2
#
#
%dir %_docdir/HTML/hu/kedit/
%doc %_docdir/HTML/hu/kedit/common
%doc %_docdir/HTML/hu/kedit/*.docbook
%doc %_docdir/HTML/hu/kedit/*.bz2
#
#
%dir %_docdir/HTML/hu/kfloppy/
%doc %_docdir/HTML/hu/kfloppy/common
%doc %_docdir/HTML/hu/kfloppy/*.docbook
%doc %_docdir/HTML/hu/kfloppy/*.bz2
#
#
%dir %_docdir/HTML/hu/kfouleggs/
%doc %_docdir/HTML/hu/kfouleggs/common
%doc %_docdir/HTML/hu/kfouleggs/*.docbook
%doc %_docdir/HTML/hu/kfouleggs/*.bz2
#
#
%dir %_docdir/HTML/hu/kfract/
%doc %_docdir/HTML/hu/kfract/common
%doc %_docdir/HTML/hu/kfract/*.docbook
%doc %_docdir/HTML/hu/kfract/*.bz2
#
%dir %_docdir/HTML/hu/kfind/
%doc %_docdir/HTML/hu/kfind/common
%doc %_docdir/HTML/hu/kfind/*.docbook
%doc %_docdir/HTML/hu/kfind/*.bz2
#
%dir %_docdir/HTML/hu/kghostview/
%doc %_docdir/HTML/hu/kghostview/common
%doc %_docdir/HTML/hu/kghostview/*.docbook
%doc %_docdir/HTML/hu/kghostview/*.bz2
#
%dir %_docdir/HTML/hu/khelpcenter/
%doc %_docdir/HTML/hu/khelpcenter/common
%doc %_docdir/HTML/hu/khelpcenter/*.docbook
%doc %_docdir/HTML/hu/khelpcenter/*.bz2
#
%dir %_docdir/HTML/hu/khelpcenter/quickstart/
%doc %_docdir/HTML/hu/khelpcenter/quickstart/common
%doc %_docdir/HTML/hu/khelpcenter/quickstart/*.docbook
%doc %_docdir/HTML/hu/khelpcenter/quickstart/*.bz2
#
%dir %_docdir/HTML/hu/khelpcenter/visualdict/
%doc %_docdir/HTML/hu/khelpcenter/visualdict/common
%doc %_docdir/HTML/hu/khelpcenter/visualdict/*.docbook
%doc %_docdir/HTML/hu/khelpcenter/visualdict/*.png
%doc %_docdir/HTML/hu/khelpcenter/visualdict/*.bz2
#
%dir %_docdir/HTML/hu/khelpcenter/glossary/
%doc %_docdir/HTML/hu/khelpcenter/glossary/common
%doc %_docdir/HTML/hu/khelpcenter/glossary/*.docbook
%doc %_docdir/HTML/hu/khelpcenter/glossary/*.bz2
#
#
%dir %_docdir/HTML/hu/khexedit/
%doc %_docdir/HTML/hu/khexedit/common
%doc %_docdir/HTML/hu/khexedit/*.docbook
%doc %_docdir/HTML/hu/khexedit/*.bz2
#
#
%dir %_docdir/HTML/hu/kicker/
%doc %_docdir/HTML/hu/kicker/*.docbook
%doc %_docdir/HTML/hu/kicker/*.bz2
#
#
%dir %_docdir/HTML/hu/kicker-applets/
%doc %_docdir/HTML/hu/kicker-applets/common
%doc %_docdir/HTML/hu/kicker-applets/*.docbook
%doc %_docdir/HTML/hu/kicker-applets/*.bz2
#
%dir %_docdir/HTML/hu/kmenuedit/
%doc %_docdir/HTML/hu/kmenuedit/common
%doc %_docdir/HTML/hu/kmenuedit/*.docbook
%doc %_docdir/HTML/hu/kmenuedit/*.bz2
#
%dir %_docdir/HTML/hu/kioslave/
%doc %_docdir/HTML/hu/kioslave/*.docbook
#
#
%dir %_docdir/HTML/hu/kit/
%doc %_docdir/HTML/hu/kit/common
%doc %_docdir/HTML/hu/kit/*.docbook
%doc %_docdir/HTML/hu/kit/*.bz2
#
#
%dir %_docdir/HTML/hu/kjezz/
%doc %_docdir/HTML/hu/kjezz/common
%doc %_docdir/HTML/hu/kjezz/*.docbook
%doc %_docdir/HTML/hu/kjezz/*.bz2
#
%dir %_docdir/HTML/hu/kjots/
%doc %_docdir/HTML/hu/kjots/common
%doc %_docdir/HTML/hu/kjots/*.docbook
%doc %_docdir/HTML/hu/kjots/*.bz2
#
%dir %_docdir/HTML/hu/kjumpingcube/
%doc %_docdir/HTML/hu/kjumpingcube/common
%doc %_docdir/HTML/hu/kjumpingcube/*.docbook
%doc %_docdir/HTML/hu/kjumpingcube/*.bz2
#
#
%dir %_docdir/HTML/hu/klipper/
%doc %_docdir/HTML/hu/klipper/common
%doc %_docdir/HTML/hu/klipper/*.docbook
%doc %_docdir/HTML/hu/klipper/*.bz2
#
%dir %_docdir/HTML/hu/klines/
%doc %_docdir/HTML/hu/klines/common
%doc %_docdir/HTML/hu/klines/*.docbook
%doc %_docdir/HTML/hu/klines/*.bz2
#
%dir %_docdir/HTML/hu/kljettool/
%doc %_docdir/HTML/hu/kljettool/*.docbook
%doc %_docdir/HTML/hu/kljettool/*.bz2
#
#
%dir %_docdir/HTML/hu/klpq/
%doc %_docdir/HTML/hu/klpq/common
%doc %_docdir/HTML/hu/klpq/*.docbook
%doc %_docdir/HTML/hu/klpq/*.bz2
#
#
%dir %_docdir/HTML/hu/klprfax/
%doc %_docdir/HTML/hu/klprfax/common
%doc %_docdir/HTML/hu/klprfax/*.docbook
%doc %_docdir/HTML/hu/klprfax/*.bz2
#
#
%dir %_docdir/HTML/hu/kmix/
%doc %_docdir/HTML/hu/kmix/common
%doc %_docdir/HTML/hu/kmix/*.docbook
%doc %_docdir/HTML/hu/kmix/*.bz2
#
#
%dir %_docdir/HTML/hu/kmoon/
%dir %_docdir/HTML/hu/kmoon/common
%doc %_docdir/HTML/hu/kmoon/*.docbook
%doc %_docdir/HTML/hu/kmoon/*.bz2
#
#
%dir %_docdir/HTML/hu/knode/
%doc %_docdir/HTML/hu/knode/common
%doc %_docdir/HTML/hu/knode/*.docbook
%doc %_docdir/HTML/hu/knode/*.bz2
#
#
%dir %_docdir/HTML/hu/knotes/
%doc %_docdir/HTML/hu/knotes/common
%doc %_docdir/HTML/hu/knotes/*.docbook
%doc %_docdir/HTML/hu/knotes/*.bz2
#
#
%dir %_docdir/HTML/hu/kodo
%doc %_docdir/HTML/hu/kodo/common
%doc %_docdir/HTML/hu/kodo/*.docbook
%doc %_docdir/HTML/hu/kodo/*.bz2
#
#
%dir %_docdir/HTML/hu/konquest/
%doc %_docdir/HTML/hu/konquest/common
%doc %_docdir/HTML/hu/konquest/*.docbook
%doc %_docdir/HTML/hu/konquest/*.bz2
#
#
#
#
%dir %_docdir/HTML/hu/korn/
%doc %_docdir/HTML/hu/korn/common
%doc %_docdir/HTML/hu/korn/*.docbook
%doc %_docdir/HTML/hu/korn/*.bz2
#
#
%dir %_docdir/HTML/hu/koshell/
%doc %_docdir/HTML/hu/koshell/common
%doc %_docdir/HTML/hu/koshell/*.docbook
%doc %_docdir/HTML/hu/koshell/*.bz2
#
#
%dir %_docdir/HTML/hu/kpat/
%doc %_docdir/HTML/hu/kpat/common
%doc %_docdir/HTML/hu/kpat/*.docbook
%doc %_docdir/HTML/hu/kpat/*.bz2
#
#
%dir %_docdir/HTML/hu/kpm/
%doc %_docdir/HTML/hu/kpm/common
%doc %_docdir/HTML/hu/kpm/*.docbook
%doc %_docdir/HTML/hu/kpm/*.bz2
#
#
%dir %_docdir/HTML/hu/kpoker/
%doc %_docdir/HTML/hu/kpoker/common
%doc %_docdir/HTML/hu/kpoker/*.docbook
%doc %_docdir/HTML/hu/kpoker/*.bz2
#
%dir %_docdir/HTML/hu/kpager/
%doc %_docdir/HTML/hu/kpager/common
%doc %_docdir/HTML/hu/kpager/*.docbook
%doc %_docdir/HTML/hu/kpager/*.bz2
#
%dir %_docdir/HTML/hu/kpaint/
%doc %_docdir/HTML/hu/kpaint/common
%doc %_docdir/HTML/hu/kpaint/*.docbook
%doc %_docdir/HTML/hu/kpaint/*.bz2
#
%dir %_docdir/HTML/hu/krn/
%doc %_docdir/HTML/hu/krn/common
%doc %_docdir/HTML/hu/krn/*.docbook
%doc %_docdir/HTML/hu/krn/*.bz2
#
#
%dir %_docdir/HTML/hu/kruler/
%doc %_docdir/HTML/hu/kruler/common
%doc %_docdir/HTML/hu/kruler/*.docbook
%doc %_docdir/HTML/hu/kruler/*.bz2
#
%dir %_docdir/HTML/hu/ksame/
%doc %_docdir/HTML/hu/ksame/common
%doc %_docdir/HTML/hu/ksame/*.docbook
%doc %_docdir/HTML/hu/ksame/*.bz2
#
%dir %_docdir/HTML/hu/kscore/
%doc %_docdir/HTML/hu/kscore/common
%doc %_docdir/HTML/hu/kscore/*.docbook
%doc %_docdir/HTML/hu/kscore/*.bz2
#
#
%dir %_docdir/HTML/hu/kshisen/
%doc %_docdir/HTML/hu/kshisen/common
%doc %_docdir/HTML/hu/kshisen/*.docbook
%doc %_docdir/HTML/hu/kshisen/*.bz2
#
#
%dir %_docdir/HTML/hu/ksirtet/
%doc %_docdir/HTML/hu/ksirtet/common
%doc %_docdir/HTML/hu/ksirtet/*.docbook
%doc %_docdir/HTML/hu/ksirtet/*.bz2
#
#
%dir %_docdir/HTML/hu/ksnake/
%doc %_docdir/HTML/hu/ksnake/common
%doc %_docdir/HTML/hu/ksnake/*.docbook
%doc %_docdir/HTML/hu/ksnake/*.bz2
#
#
%dir %_docdir/HTML/hu/ksnapshot/
%doc %_docdir/HTML/hu/ksnapshot/common
%doc %_docdir/HTML/hu/ksnapshot/*.docbook
%doc %_docdir/HTML/hu/ksnapshot/*.bz2
#
#
%dir %_docdir/HTML/hu/ksokoban/
%doc %_docdir/HTML/hu/ksokoban/common
%doc %_docdir/HTML/hu/ksokoban/*.docbook
%doc %_docdir/HTML/hu/ksokoban/*.bz2
#
#
#
%dir %_docdir/HTML/hu/kspell/
%doc %_docdir/HTML/hu/kspell/common
%doc %_docdir/HTML/hu/kspell/*.docbook
%doc %_docdir/HTML/hu/kspell/*.bz2
#
#
#
#
%dir %_docdir/HTML/hu/kteatime/
%doc %_docdir/HTML/hu/kteatime/common
%doc %_docdir/HTML/hu/kteatime/*.docbook
%doc %_docdir/HTML/hu/kteatime/*.bz2
#
#
%dir %_docdir/HTML/hu/ktron/
%doc %_docdir/HTML/hu/ktron/common
%doc %_docdir/HTML/hu/ktron/*.docbook
%doc %_docdir/HTML/hu/ktron/*.bz2
#
#
%dir %_docdir/HTML/hu/kuser/
%doc %_docdir/HTML/hu/kuser/common
%doc %_docdir/HTML/hu/kuser/*.docbook
%doc %_docdir/HTML/hu/kuser/*.bz2
#
#
%dir %_docdir/HTML/hu/kwin4/
%doc %_docdir/HTML/hu/kwin4/common
%doc %_docdir/HTML/hu/kwin4/*.docbook
%doc %_docdir/HTML/hu/kwin4/*.bz2
#
#
#
%dir %_docdir/HTML/hu/kwuftpd/
%doc %_docdir/HTML/hu/kwuftpd/common
%doc %_docdir/HTML/hu/kwuftpd/*.docbook
%doc %_docdir/HTML/hu/kwuftpd/*.bz2
#
%dir %_docdir/HTML/hu/kview/
%doc %_docdir/HTML/hu/kview/common
%doc %_docdir/HTML/hu/kview/*.docbook
%doc %_docdir/HTML/hu/kview/*.bz2
#
%dir %_docdir/HTML/hu/kworldclock/
%doc %_docdir/HTML/hu/kworldclock/common
%doc %_docdir/HTML/hu/kworldclock/*.docbook
%doc %_docdir/HTML/hu/kworldclock/*.bz2
#
%dir %_docdir/HTML/hu/lskat/
%doc %_docdir/HTML/hu/lskat/common
%doc %_docdir/HTML/hu/lskat/*.docbook
%doc %_docdir/HTML/hu/lskat/*.bz2
#
#
%dir %_docdir/HTML/hu/noatun/
%doc %_docdir/HTML/hu/noatun/common
%doc %_docdir/HTML/hu/noatun/*.docbook
%doc %_docdir/HTML/hu/noatun/*.bz2
#
#
%dir %_datadir/locale/
%dir %_datadir/locale/hu/
%_datadir/locale/hu/charset
%_datadir/locale/hu/*.desktop
%_datadir/locale/hu/*.png
#
#
%dir %_datadir/locale/hu/LC_MESSAGES/
%_datadir/locale/hu/LC_MESSAGES/*.mo


%changelog
* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Thu Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Remove koffice messages

* Thu Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Fri Aug 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre 1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sat Jun 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
